Ticket #343 (closed enhancement: wontfix)

Opened 10 years ago

Last modified 10 years ago

An error message assuming too much of the user

Reported by: njw Owned by: ciaranm
Priority: Sometime Milestone: Code cleanup
Component: clients/paludis Version: 0.24.5
Keywords: Cc:
Blocked By: Blocking:
Distribution:

Description

I recently got this error message, when trying to reinstall after a previous failed attempt:

Install error: Directory '/var/db/pkg/net-p2p/-reinstalling-amule-2.1.3' already exists, probably due to a previous failed upgrade. If it is safe to do so, remove this directory and try again.

IMHO the average user will be rather unclear about whether "if it is safe to do so" or not (as this is, after all, a process which is meant to be mostly invisible to them), it would be much better to clearly present the choice that exists; something more like:

Either remove this directory and start the install again, or resume the previous install by running the command: [command as detailed in subsequent output currently]

Change History

comment:1 Changed 10 years ago by ciaranm

  • Status changed from new to closed
  • Resolution set to wontfix

Unfortunately if that error does occur then the user really does have to know how to fix it. A failed merge leaves the system in a weird state that requires user intervention.

Note: See TracTickets for help on using tickets.